Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get list of Task

Prev Next
Get
/tasks/

Operation is used to get a list of task.

Task list can be filtered by giving filtering parameters at HTTP querystring (see parameters).

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Query parameters
offset
integer

Offset to start returning results.

Minimum0
limit
integer

Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.

Minimum1
srs
string

Coordinate system used to transform location fields in API responses. This parameter does not apply to locations sent in request query parameters or request bodies.

For locations in requests, use EWKT with SRID. If EWKT is provided without SRID, the system default SRID will be used.

Example: srs=epsg:4326

__any of the object fields__
string

Filters list by selected object field value. Supports structured queries via +__+ delimiter. Supports ending keywords via +__+ delimiter:

  • For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull
  • For numerics: gt, lt, gte, lte, isnull
  • For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby Examples: +++usage_state__txt__istartswith=in+++ , +++plan__state__txt__startswith=In+++ , +++creation_date__gte=2019-01-02T15:32:01+++, +++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++ Supports exclusive queries by field value using a not-operator preceding the field lookup: Examples: +++not__type__txt__istartswith=Tie+++ , +++not__id=1390+++
orderby
string

Selects the object field to order the returned objects by. Can be used to sort in reverse order with '-' prefix. Can have several ordering rules separated by comma. Can be used only for object own fields and does not support structured queries. Example: orderby=creator,-creation_date

Responses
200

A result response object.

{
  "Next": "http://example.keypro.fi/api/v2/tasks/?endDate__isnull=0&limit=3&offset=3",
  "Previous": null,
  "Results": [
    {
      "automaticRepeat": 1,
      "closedInfo": "{}",
      "currentStateInfo": {
        "createdBy": "example@keypro.fi",
        "createdTs": "2024-11-05T13:25:59.644Z",
        "state": {
          "description": "Open",
          "groupname": "STATUS",
          "id": 235,
          "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
          "name": "STATUS_OPEN_OPEN",
          "numValue": null,
          "orderno": 0,
          "txtValue": null
        }
      },
      "endDate": "2025-01-11",
      "executionCycle": 15,
      "id": 21,
      "inProgressInfo": "{}",
      "name": "test task update",
      "network": {
        "description": "Telecommunication",
        "groupname": "TASK_NETWORK",
        "id": 275,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TASK_NETWORK/",
        "name": "TELECOMMUNICATION",
        "numValue": null,
        "orderno": 1,
        "txtValue": null
      },
      "openInfo": {
        "createdBy": "example@keypro.fi",
        "createdTs": "2024-11-05T13:25:59.644Z",
        "state": {
          "description": "Open",
          "groupname": "STATUS",
          "id": 235,
          "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
          "name": "STATUS_OPEN_OPEN",
          "numValue": null,
          "orderno": 0,
          "txtValue": null
        }
      },
      "orderInfo": "{}",
      "plan": false,
      "repeatOrderNum": null,
      "repeatParent": null,
      "repeatable": 1,
      "startDate": "2025-01-05",
      "subregion": null,
      "taskCategory": {
        "description": "Lamp / fixture",
        "groupname": "TYPE",
        "id": 240,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_1_LAMP",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      },
      "taskIdentifier": "sfds",
      "taskLocation": "SRID=3067;POINT Z (457081.23677634 6702634.548369 0)"
    },
    {
      "automaticRepeat": 1,
      "closedInfo": "{}",
      "currentStateInfo": {
        "createdBy": "example@keypro.fi",
        "createdTs": "2025-01-22T12:54:23.163Z",
        "state": {
          "description": "Open",
          "groupname": "STATUS",
          "id": 235,
          "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
          "name": "STATUS_OPEN_OPEN",
          "numValue": null,
          "orderno": 0,
          "txtValue": null
        }
      },
      "endDate": "2025-01-17",
      "executionCycle": 15,
      "id": 777,
      "inProgressInfo": "{}",
      "name": "test task update",
      "network": {
        "description": "Telecommunication",
        "groupname": "TASK_NETWORK",
        "id": 275,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TASK_NETWORK/",
        "name": "TELECOMMUNICATION",
        "numValue": null,
        "orderno": 1,
        "txtValue": null
      },
      "openInfo": {
        "createdBy": "example@keypro.fi",
        "createdTs": "2025-01-22T12:54:23.163Z",
        "state": {
          "description": "Open",
          "groupname": "STATUS",
          "id": 235,
          "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
          "name": "STATUS_OPEN_OPEN",
          "numValue": null,
          "orderno": 0,
          "txtValue": null
        }
      },
      "orderInfo": "{}",
      "plan": false,
      "repeatOrderNum": 1,
      "repeatParent": "http://example.keypro.fi/api/v2/tasks/21/",
      "repeatable": 1,
      "startDate": "2025-04-19",
      "subregion": null,
      "taskCategory": {
        "description": "Lamp / fixture",
        "groupname": "TYPE",
        "id": 240,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_1_LAMP",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      },
      "taskIdentifier": "sfds/1",
      "taskLocation": "SRID=3067;POINT Z (457081.23677634 6702634.548369 0)"
    },
    {
      "automaticRepeat": 0,
      "closedInfo": "{}",
      "currentStateInfo": {
        "createdBy": "example@keypro.fi",
        "createdTs": "2025-04-04T13:36:20.184Z",
        "state": {
          "description": "Open",
          "groupname": "STATUS",
          "id": 235,
          "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
          "name": "STATUS_OPEN_OPEN",
          "numValue": null,
          "orderno": 0,
          "txtValue": null
        }
      },
      "endDate": "2025-04-18",
      "executionCycle": 4,
      "id": 985,
      "inProgressInfo": "{}",
      "name": "25-9",
      "network": {
        "description": "Lightning",
        "groupname": "TASK_NETWORK",
        "id": 276,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TASK_NETWORK/",
        "name": "LIGHTNING",
        "numValue": null,
        "orderno": 2,
        "txtValue": null
      },
      "openInfo": {
        "createdBy": "example@keypro.fi",
        "createdTs": "2025-04-04T13:36:20.184Z",
        "state": {
          "description": "Open",
          "groupname": "STATUS",
          "id": 235,
          "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
          "name": "STATUS_OPEN_OPEN",
          "numValue": null,
          "orderno": 0,
          "txtValue": null
        }
      },
      "orderInfo": "{}",
      "plan": false,
      "repeatOrderNum": null,
      "repeatParent": null,
      "repeatable": 1,
      "startDate": "2025-04-04",
      "subregion": null,
      "taskCategory": {
        "description": "Other",
        "groupname": "TYPE",
        "id": 244,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_3_ANOTHER_TASK",
        "numValue": null,
        "orderno": 5,
        "txtValue": null
      },
      "taskIdentifier": "25-9",
      "taskLocation": "SRID=3067;POINT Z (385718.85021608 6682056.7892952 0)"
    }
  ],
  "Total": 8
}
Expand All
object
Next
string (url)

Url to next page of Keywork tasks list. Null if No next page exist

Previous
string (url)

Url to previous page of Keywork tasks list. Null if No previous page exist

Results
Array of object (KeyworkTask)

List of fetched Tasks

object
automaticRepeat
integer

If task is repeatable automatically

currentState
integer

Id of current task state

endDate
string (date)

Task end date

executionCycle
integer

Execution cycle

id
integer

Primary key

name
string

Task name

network
integer

Network SAttribute id

plan
boolean

Is plan

repeatOrderNum
integer

Running number for repeatable tasks

repeatParent
integer

Parent task id

repeatable
integer

Info if task is repeatable

startDate
string (date)

Task start date

subregion
integer

Related Subregion id

taskCategory
integer

Related Category id

taskIdentifier
string

Task identifier

taskLocation
string (ewkt)

Task geographical location

closedInfo
object (TaskStateChangeInfo)

Information when and who updated the task and what state it was updated to.

createdBy
string

User who updated the task to this state

createdTs
string (date-time)

When state was updated

state
object (TaskState)

Task State

groupname

Group name of constant

Valid values[ "STATE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all contants from this group

num_value
number (float)

Numeric value

orderNo
integer

Order number

txtValue
string

Human readable textual representation

inProgressInfo
object (TaskStateInProgressInfo)

Information when and who updated the task and what state it was updated to.

In Progress info has an additional detail for the user assigned for the task.

createdBy
string

User who updated the task to this state

createdTs
string (date-time)

When state was updated

state
object (TaskState)

Task State

groupname

Group name of constant

Valid values[ "STATE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all contants from this group

num_value
number (float)

Numeric value

orderNo
integer

Order number

txtValue
string

Human readable textual representation

user
object (TaskUser)
email
string

User email

id
integer

Primary key

username
string

User name

openInfo
object (TaskStateChangeInfo)

Information when and who updated the task and what state it was updated to.

createdBy
string

User who updated the task to this state

createdTs
string (date-time)

When state was updated

state
object (TaskState)

Task State

groupname

Group name of constant

Valid values[ "STATE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all contants from this group

num_value
number (float)

Numeric value

orderNo
integer

Order number

txtValue
string

Human readable textual representation

orderInfo
object (TaskStateOrderedInfo)

Information when and who updated the task and what state it was updated to.

Ordered info has an additional detail for the user assigned for the task.

company
object (Company)
companyName
string

Company name

description
string

Company description

id
integer

Primary key

createdBy
string

User who updated the task to this state

createdTs
string (date-time)

When state was updated

state
object (TaskState)

Task State

groupname

Group name of constant

Valid values[ "STATE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all contants from this group

num_value
number (float)

Numeric value

orderNo
integer

Order number

txtValue
string

Human readable textual representation

Total
integer

Total number of Keywork tasks

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error